package did.gui;

import javax.swing.JPanel;
import javax.swing.JInternalFrame;
import javax.swing.JTextArea;
import javax.swing.BoxLayout;
import javax.swing.BorderFactory;

public class DIDInfoPanel extends JInternalFrame {
	JTextArea type = new JTextArea();
	JTextArea id = new JTextArea();
	JTextArea gttext = new JTextArea();

	public DIDInfoPanel() {
		super();
		getContentPane().setLayout(new BoxLayout(getContentPane(),
							BoxLayout.Y_AXIS));
		setClosable(false);
		setMaximizable(false);
		setIconifiable(false);

		getContentPane().add(type);
		getContentPane().add(id);
		getContentPane().add(gttext);
		type.setEditable(false);
		id.setEditable(false);
		gttext.setEditable(false);
		type.setBackground(this.getBackground());
		id.setBackground(this.getBackground());
		gttext.setBackground(this.getBackground());
		pack();
	}

	public void setInfo(String typeVal, String idVal, String gttextVal) {
		String typeStr, idStr, gtStr;

		if (typeVal != null) {
			typeStr = "Entity Type: " + typeVal + " ";
		} else {
			typeStr = "Entity Type:";
		}
		type.setText(typeStr);
		if (idVal != null) {
			idStr = "ID: " + idVal;
		} else {
			idStr = "ID:";
		}
		id.setText(idStr);
		setTitle(idVal);
		if (gttextVal != null) {
			gtStr = "GT Text:\n" + gttextVal;
		} else {
			gtStr = "GT Text:";
		}
		gttext.setText(gtStr);
		pack();
	}

	public void addInfo(String attr, String value) {
		String text = " " + attr + ": " + value + " ";
		JTextArea info = new JTextArea(text);
		add(info);
		pack();
	}

	public void show(int x, int y) {
		setLocation(x, y);
		pack();
		setVisible(true);
	}

}
