package did.xml;

import javax.swing.event.TreeSelectionListener;
import javax.swing.event.TreeSelectionEvent;

import did.xml.DIDNode;

/*****************************************************************************************
*<pre>
*File:         DIDTreeSelectionListener.java
*Version:      1.1
*Description:  Although this class is registered on the DIDTree, at this time it performs 
*no real function.  Due to time and technical constraints it could not be fully implemented
*but the intent was to have this class intercept the selection of nodes and select or 
*deselect the corresponding ROI in the ImageCanvas.
*
*Modification Log:
*Date          Name    Comment
*xx-xx-xxxx    XXX	   xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
*</pre>
******************************************************************************************/

public class DIDTreeSelectionListener implements TreeSelectionListener {

	/*****************************************************************************************
	* Method triggered when the new node is selected.
	* @param TreeSelectionEvent An event that characterizes a change in the current selection.
	* The change is based on any number of paths.
	*****************************************************************************************/   
	public void valueChanged(TreeSelectionEvent e) {
		DIDNode myNode = (DIDNode)e.getPath().getLastPathComponent();
	}
}