package did.io;

import org.w3c.dom.Document;

/*********************************************************************************
 *<pre>
 *File:         DOMParserWrapper.java
 *Version:      1.1
 *Description:  Encapsulates a DOM parser.
 *
 *Modification Log:
 *Date          Name    Comment
 *xx-xx-xxxx    XXX     xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 *</pre>
 *********************************************************************************/
public interface DOMParserWrapper {
	/*****************************************************************************************
	* Method used to parse and XML document using the DOM and return a refence to the DOM root
	* (Document node).
	* @param uri String repesenting the path to the file to be parsed.
	* @return A W3C Document object (root of DOM tree) built from the file passed in as a 
	* parameter.
	*****************************************************************************************/   
	public Document parse(String uri) throws Exception;
}