#include <stdio.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "dafs.h"

#define BUFSIZE  255
#define NUM_BUILT_IN_TYPE  10

int yyparse(void);

void proc_element(void);
void proc_stand_alone_element(void);
void proc_start_element(void);
void proc_end_element(void);
void proc_attribute(void);
void proc_element_name(char *eleName);
void proc_end_element_name(char *eleName);
void proc_attr_name(char *attrName);
void proc_attr_val(char *attrVal);

void proc_property_name(char *str);
void proc_gt_text_name(char *str);
void proc_vertex_name(char *str);
void proc_box_name(char *str);

void proc_end_property_name(char *str);
void proc_end_gt_text_name(char *str);
void proc_end_vertex_name(char *str);
void proc_end_box_name(char *str);


typedef struct {
  char *name;
  char *val;
  struct Attribute *next;
} Attribute;

typedef enum {
  ElementType,
  PropertyType,
  GT_TextType,
  BoxType,
  VertexType
} EleType;
